This endpoint returns details about all active variants of a product. There is no actual availability returned; the endpoint is supposed to be used for the mapping of products on your system.
Availability and pricing for a certain time frame can be retrieved via the dedicated endpoint.
All active product variants
get
/products/{productId}/product-variants
Path parameters
productIdintegerRequired
ID of the product to return.
Example: 974092
Query parameters
langstringOptional
Language of the variants to retrieve.
Example: en
Header parameters
AuthorizationstringRequired
Token <Your_API_Key>.
Default: Token <Partner_API_key>.
Responses
200
Successful operation.
application/json
successbooleanOptional
sales_enabledbooleanOptional
Indicates whether the product is available for sale or not.
dynamic_pricingbooleanOptionalDeprecated
If true, the price depends on the day and timeslot, as well as the day on which the data is requested. Products with dynamic pricing can have different prices for one date for one variant ID, and it allows for active price changes from the supplier.
max_tickets_per_orderinteger · nullableOptional
Maximum total number of tickets of any product variant that can be purchased in one order.
400
Bad Request -- Check your request parameters (typo in parameter or invalid value).
application/json
401
Unauthorized -- Your API key is incorrect.
application/json
403
Forbidden -- The endpoint or parameters are not allowed for the matching API key.
application/json
404
Not Found -- Requested resource/endpoint could not be found.
application/json
405
Method Not Allowed -- Check your request method.
application/json
429
Too Many Requests -- We currently apply a fair-use policy, but we might enforce limits in the future.
application/json
500
Internal Server Error -- We had a problem with our server. Try again later.
application/json
503
Service Unavailable -- We're temporarily offline for maintenance. Please try again later.